summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author ArTourter2019-05-17 18:51:33 +0200
committer Willy Sudiarto Raharjo2019-05-17 18:51:33 +0200
commit9a5fd4139ed18bcf682602df6bb4b715894348f5 (patch)
tree2922c4d296ee5b0fbdb6f720a5b0d8fc6e69a185
parentdd9deeebfe55d3bdfbafcb6c7f786862c47aae75 (diff)
downloadslackbuilds-9a5fd4139ed18bcf682602df6bb4b715894348f5.tar.gz
libraries/libmusicbrainz5: Added (MusicBrainz Client Library v5).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/libmusicbrainz5/README10
-rw-r--r--libraries/libmusicbrainz5/libmusicbrainz5.SlackBuild99
-rw-r--r--libraries/libmusicbrainz5/libmusicbrainz5.info10
-rw-r--r--libraries/libmusicbrainz5/slack-desc19
4 files changed, 138 insertions, 0 deletions
diff --git a/libraries/libmusicbrainz5/README b/libraries/libmusicbrainz5/README
new file mode 100644
index 0000000000..17ce9156b9
--- /dev/null
+++ b/libraries/libmusicbrainz5/README
@@ -0,0 +1,10 @@
+The MusicBrainz Client Library (libmusicbrainz), also known as mb_client, is a
+development library geared towards developers who wish to add MusicBrainz
+lookup capabilities to their applications.
+
+Note: Version 5.x and greater support the latest version of the MusicBrainz
+web service and are not backwards compatible with earlier versions. As of
+2011, version 3.x and below have been deprecated.
+
+It is safe to have versions 2.x, 3.x, and 5.x on the same system as they don't
+conflict with each other.
diff --git a/libraries/libmusicbrainz5/libmusicbrainz5.SlackBuild b/libraries/libmusicbrainz5/libmusicbrainz5.SlackBuild
new file mode 100644
index 0000000000..7ffe5dde0c
--- /dev/null
+++ b/libraries/libmusicbrainz5/libmusicbrainz5.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for libmusicbrainz3
+
+# Copyright 2019- Gregory Tourte <artourter@gmail.com>
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libmusicbrainz5
+VERSION=${VERSION:-5.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=libmusicbrainz
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-release-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+(
+ cd build
+ cmake \
+ -DCMAKE_INSTALL_PREFIX:PATH=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ ..
+
+ make
+ make install DESTDIR=$PKG
+)
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a {AUTHORS,COPYING,INSTALL,NEWS}.txt README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libmusicbrainz5/libmusicbrainz5.info b/libraries/libmusicbrainz5/libmusicbrainz5.info
new file mode 100644
index 0000000000..d3a182c91d
--- /dev/null
+++ b/libraries/libmusicbrainz5/libmusicbrainz5.info
@@ -0,0 +1,10 @@
+PRGNAM="libmusicbrainz5"
+VERSION="5.1.0"
+HOMEPAGE="http://musicbrainz.org/doc/libmusicbrainz"
+DOWNLOAD="https://github.com/metabrainz/libmusicbrainz/archive/release-5.1.0/libmusicbrainz-5.1.0.tar.gz"
+MD5SUM="af786baafb8298e3662903748c85bb89"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="ArTourter"
+EMAIL="artourter@gmail.com"
diff --git a/libraries/libmusicbrainz5/slack-desc b/libraries/libmusicbrainz5/slack-desc
new file mode 100644
index 0000000000..6c6417c674
--- /dev/null
+++ b/libraries/libmusicbrainz5/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libmusicbrainz5: libmusicbrainz5 (MusicBrainz Client Library v5)
+libmusicbrainz5:
+libmusicbrainz5: The MusicBrainz Client Library (libmusicbrainz), also known as
+libmusicbrainz5: mb_client, is a development library geared towards developers who
+libmusicbrainz5: wish to add MusicBrainz lookup capabilities to their applications.
+libmusicbrainz5:
+libmusicbrainz5: Homepage: http://musicbrainz.org/doc/libmusicbrainz
+libmusicbrainz5:
+libmusicbrainz5:
+libmusicbrainz5:
+libmusicbrainz5: